import { SvelteComponent } from 'svelte';
import { Annotation, Annotator } from '@annotorious/core';
import { DrawingTool } from './annotation/tools';
import { DrawingToolOpts } from './annotation';
import { ImageAnnotation, ShapeType } from './model';
import { Theme, AnnotoriousOpts } from './AnnotoriousOpts';
export interface ImageAnnotator<I extends Annotation = ImageAnnotation, E extends unknown = ImageAnnotation> extends Annotator<I, E> {
    element: HTMLDivElement;
    cancelDrawing(): void;
    getDrawingTool(): string | undefined;
    isDrawingEnabled(): boolean;
    listDrawingTools(): string[];
    registerDrawingTool(name: string, tool: typeof SvelteComponent, opts?: DrawingToolOpts): void;
    registerShapeEditor(shapeType: ShapeType, editor: typeof SvelteComponent): void;
    setDrawingTool(name: DrawingTool): void;
    setDrawingEnabled(enabled: boolean): void;
    setTheme(theme: Theme): void;
}
export declare const createImageAnnotator: <I extends Annotation = ImageAnnotation, E extends unknown = ImageAnnotation>(image: string | HTMLImageElement | HTMLCanvasElement, options?: AnnotoriousOpts<I, E>) => ImageAnnotator<I, E>;
